import { JavaObject } from '../../../java/lang/JavaObject';
import { Vector } from '../../../java/util/Vector';
export declare class KursDaten extends JavaObject {
    id: number;
    idSchuljahresabschnitt: number;
    kuerzel: String;
    idJahrgaenge: Vector<Number>;
    idFach: number;
    lehrer: Number | null;
    sortierung: number;
    istSichtbar: boolean;
    constructor();
    isTranspiledInstanceOf(name: string): boolean;
    static transpilerFromJSON(json: string): KursDaten;
    static transpilerToJSON(obj: KursDaten): string;
    static transpilerToJSONPatch(obj: Partial<KursDaten>): string;
}
export declare function cast_de_nrw_schule_svws_core_data_kurse_KursDaten(obj: unknown): KursDaten;
